/// <reference types="node" />
import EventEmitter from "eventemitter3";
import { StorageAdapter } from "./storage/StorageSubsystem";
export interface Blob {
    binary: Buffer;
    mimeType?: string;
}
export interface BlobStoreEvents {
    object: (blob: Blob) => void;
}
export declare type BlobId = string & {
    __blobStoreId: true;
};
export declare class BlobStore extends EventEmitter<BlobStoreEvents> {
    storage: StorageAdapter;
    constructor(storage: StorageAdapter);
    create(binary: Buffer, mimeType?: string): BlobId;
    find(id: BlobId): Promise<Blob | undefined>;
}
//# sourceMappingURL=BlobStore.d.ts.map