import * as CBOR from "cbor-x";
import EventEmitter from "eventemitter3";
import { v4 } from "uuid";
// temporary in-memory store
const STORE = {};
export class BlobStore extends EventEmitter {
    storage;
    constructor(storage) {
        super();
        this.storage = storage;
    }
    create(binary, mimeType) {
        const id = v4();
        this.storage.save(id, CBOR.encode({ mimeType, binary }));
        STORE[id] = { binary, mimeType };
        return id;
    }
    async find(id) {
        const cbor = await this.storage.load(id);
        if (!cbor) {
            return;
        }
        return CBOR.decode(cbor);
    }
}
